Bug 183353 - [patch] www/mod_wsgi3 doesn't build under python3
[patch] www/mod_wsgi3 doesn't build under python3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 09:10 UTC by trevor
Modified: 2013-11-24 23:42 UTC (History)
0 users

See Also:


Attachments
file.shar (5.44 KB, text/plain)
2013-10-27 09:10 UTC, trevor
no flags Details
mod_wsgi3.2013-10-28T183938Z.diff (4.55 KB, patch)
2013-10-28 19:50 UTC, douglas.thrift
no flags Details | Diff
mod_wsgi3.2013-11-24T215907Z.diff (4.03 KB, patch)
2013-11-24 22:06 UTC, douglas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description trevor 2013-10-27 09:10:00 UTC
mod_wsgi3 can't find the python 3 shared libraries in the latest released version. I have attached a shar containing the patch from upstream revision 8bc27ffbc6c1 and a bump to the portrevision.

https://code.google.com/p/modwsgi/source/detail?r=8bc27ffbc6c10f26a4803d6a4841460ad239e6f2&name=mod_wsgi-3.X

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-27 09:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

apache@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-27 09:10:09 UTC
Maintainer of www/mod_wsgi3,

Please note that PR ports/183353 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183353

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-10-27 09:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 douglas.thrift 2013-10-28 19:50:46 UTC
Hello,

For port updates the preferred format is a unified diff. I have used
your shar to make a patch in this format and attached it. I also added
STAGE support. I also tested the changes with RedPorts:

https://redports.org/buildarchive/20131028183000-46975/
https://redports.org/buildarchive/20131028184135-85773/

Thanks!
-- 
Douglas Thrift
RightScale - Linux Systems Engineer
<douglas.thrift@rightscale.com>
<http://www.rightscale.com/>
Comment 5 douglas 2013-10-28 23:03:38 UTC
Oops, I sent that last email from the wrong address.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 6 douglas 2013-11-24 22:06:19 UTC
I've remade the patch now that ports/184065 has been committed. I'm
hoping a committer can get to this soon.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 7 Olli Hauer freebsd_committer 2013-11-24 23:41:41 UTC
State Changed
From-To: feedback->closed

Committed in r334798 

Thanks!